/*
 * Kangaroo Punch MultiPlayer Game Server Mark II
 * Copyright (C) 2020-2021  Scott Duensing
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */


#ifndef UTIL_H
#define UTIL_H


#include "os.h"


char     *utilAppNameWithNewExtensionGet(char *appName, char *extension);
void      utilBitsPrint(uint8_t byte);
char     *utilCreateString(char *format, ...);
char     *utilCreateStringVArgs(char *format, va_list args);
void      utilDie(const char *why, ...);
uint8_t   utilFileExists(char *filename);
void      utilStringToLower(char *string);
char    **utilWrapText(char *text, uint16_t width);


#endif // UTIL_H
